classification
Title: test_ntpath.py converted to unittest
Type: enhancement Stage:
Components: Tests Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, benjamin.peterson, christian.heimes, giampaolo.rodola, pavel.vinogradov
Priority: normal Keywords: easy, patch

Created on 2008-01-27 22:19 by giampaolo.rodola, last changed 2008-11-12 15:19 by amaury.forgeotdarc. This issue is now closed.

Files
File name Uploaded Description Edit
test_ntpath.diff giampaolo.rodola, 2008-01-27 22:19 rewrite test_ntpath.py for using unittest
test_ntpath.py giampaolo.rodola, 2008-01-27 22:20 rewrite test_ntpath.py for using unittest (modified py file)
test_ntpath.diff giampaolo.rodola, 2008-02-06 19:08 Diff file generated with svn diff
Messages (6)
msg61750 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-01-27 22:19
Since I noticed that test_ntpath.py (unlike test_genericpath.py,
test_macpath.py and test_posixpath.py) does NOT use unittest for doing
tests I tried to rewrite it.
The patch in attachment does that leaving the original tests unchanged.

Tested successfully by having used python 2.6 (current trunk) on Windows
XP and Linux Ubuntu.
msg61752 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-27 22:28
The patch looks fine but I've no time to review it properly.
msg62118 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-02-06 19:08
The diff file in attachment was generated by using TortoiseSVN and it
seems to be different than using "svn diff".
The new diff file is in attachment.
msg62745 - (view) Author: Pavel Vinogradov (pavel.vinogradov) * Date: 2008-02-23 15:19
This patch also looks good for me. It convert all test cases and run
successfully on latest python trunk (on Linux).
msg68657 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-23 23:01
This patch no longer applies cleanly.
msg75787 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-11-12 15:19
Done since r61926.
History
Date User Action Args
2008-11-12 15:19:03amaury.forgeotdarcsetstatus: open -> closed
resolution: accepted -> out of date
messages: + msg75787
nosy: + amaury.forgeotdarc
2008-06-23 23:01:54benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg68657
2008-02-23 15:19:36pavel.vinogradovsetnosy: + pavel.vinogradov
messages: + msg62745
2008-02-06 19:08:02giampaolo.rodolasetfiles: + test_ntpath.diff
messages: + msg62118
2008-01-27 22:34:49giampaolo.rodolasettitle: test_ntpath.py rewriting -> test_ntpath.py converted to unittest
2008-01-27 22:28:14christian.heimessetnosy: + christian.heimes
messages: + msg61752
priority: normal
type: enhancement
keywords: + patch, easy
resolution: accepted
2008-01-27 22:20:35giampaolo.rodolasetfiles: + test_ntpath.py
2008-01-27 22:19:44giampaolo.rodolacreate